classification
Title: PEP-0001 contains dead links
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.snow, ezander, ezio.melotti, mikehoy, ncoghlan
Priority: normal Keywords: patch

Created on 2011-09-30 09:21 by ezander, last changed 2011-10-09 23:15 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
pep-0001-broken-links.diff mikehoy, 2011-10-02 03:29
Messages (7)
msg144680 - (view) Author: Elmar Zander (ezander) Date: 2011-09-30 09:21
The links in section "Resources" of PEP-0001 are all dead. They point to www.python.org/dev/<whatever> and all return a 404. Most of them can still be found via google archive.org, but that's not really how it should be. Maybe some of them are already superseded, but even then I think they have at least historical value and should be kept on python.org.
msg144701 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2011-09-30 19:55
"Maybe some of them are already superseded, but even then I think they have at least historical value and should be kept on python.org."

+1
msg144712 - (view) Author: Mike Hoy (mikehoy) * Date: 2011-10-01 01:17
I'm working on making a patch for this. I just want to confirm that the information I found is correct:

Article Name
OLD URL
ARCHIVED URL

How Python is Developed 
OLD: http://www.python.org/dev/intro/
ARCHIVE: http://www.etsimo.uniovi.es/python/dev/intro/

Python's Development Process
http://www.python.org/dev/process/
http://www.etsimo.uniovi.es/python/dev/process/

Why Develop Python?
http://www.python.org/dev/why/
http://www.etsimo.uniovi.es/python/dev/why/

Development Tools
http://www.python.org/dev/tools/
http://www.etsimo.uniovi.es/python/dev/tools/

Frequently Asked Questions for Developers
http://www.python.org/dev/faq/
http://www.etsimo.uniovi.es/python/dev/faq/
msg144713 - (view) Author: Mike Hoy (mikehoy) * Date: 2011-10-01 01:19
Of course I would be creating new articles based on the archived pages.
msg144715 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-10-01 01:52
These pages are all still on python.org - the links just need to be updated to point to the devguide equivalents (under http://docs.python.org/devguide)
msg144756 - (view) Author: Mike Hoy (mikehoy) * Date: 2011-10-02 03:29
Added links under Resources to the new Dev Guide. Added a link to the Guide itself and a link to the faq.
msg145287 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-09 23:15
This has been fixed in http://hg.python.org/peps/rev/398596beeee3
Thanks for the report and the patch!
History
Date User Action Args
2011-10-09 23:15:25ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg145287

stage: needs patch -> resolved
2011-10-02 03:29:03mikehoysetfiles: + pep-0001-broken-links.diff
keywords: + patch
messages: + msg144756
2011-10-01 01:52:00ncoghlansetnosy: + ncoghlan
messages: + msg144715
2011-10-01 01:19:07mikehoysetmessages: + msg144713
2011-10-01 01:17:59mikehoysetnosy: + mikehoy
messages: + msg144712
2011-09-30 19:55:43eric.snowsetnosy: + eric.snow
messages: + msg144701
2011-09-30 09:24:15ezio.melottisetnosy: + ezio.melotti

stage: needs patch
2011-09-30 09:21:24ezandercreate